import { __name as m } from "./chunk-AGHRB4JF.js";
import "../../../../../../d3-transition@3.0.1_d3-selection@3.0.0/node_modules/d3-transition/src/selection/index.js";
import "../../../../../../d3-zoom@3.0.0/node_modules/d3-zoom/src/transform.js";
import o from "../../../../../../d3-selection@3.0.0/node_modules/d3-selection/src/select.js";
var b = /* @__PURE__ */ m((t, e) => {
  let n;
  return e === "sandbox" && (n = o("#i" + t)), (e === "sandbox" ? o(n.nodes()[0].contentDocument.body) : o("body")).select(`[id="${t}"]`);
}, "getDiagramElement");
export {
  b as getDiagramElement
};
